# TODO: check for release

%define oname pyannotate

%def_without check

Name: python3-module-%oname
Version: 1.2.0
Release: alt3

Summary: Auto-generate PEP-484 annotations

License: MIT
Group: Development/Python3
Url: https://github.com/dropbox/pyannotate

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3

# generated by epm --restore --dry-run from pyannotate/setup.py install_requires
%py3_use six
%py3_use mypy_extensions
# see https://bugzilla.altlinux.org/show_bug.cgi?id=35980
#py3_use typing >= 3.5.3

%if_with check
# generated by epm --restore --dry-run from pyannotate/requirements.txt
%py3_buildrequires mypy_extensions >= 0.3.0
%py3_buildrequires pytest >= 3.3.0
%py3_buildrequires setuptools >= 28.8.0
%py3_buildrequires six >= 1.11.0
#py3_buildrequires typing >= 3.6.2
%endif

%description
PyAnnotate: Auto-generate PEP-484 annotations
Insert annotations into your source code based on
call arguments and return types observed at runtime.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%check
%if_with check
%python3_check
%endif

%files
%doc README.md
%_bindir/%oname
%python3_sitelibdir/%oname-%version-py%_python3_version.egg-info/
%python3_sitelibdir/pyannotate_tools/
%python3_sitelibdir/pyannotate_runtime/

%changelog
* Sun Nov 08 2020 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt3
- fix requires

* Fri Oct 30 2020 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt2
- use python3_prune macro to remove tests subdir

* Sat Oct 24 2020 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt1
- initial build for ALT Sisyphus
